{
  "name": "web",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "server": "node server/index.js",
    "dev:all": "node server/index.js & vite",
    "build": "tsc -b && vite build",
    "lint": "eslint .",
    "preview": "vite preview",
    "docker:local": "docker compose -f docker-compose.local.yml up -d --build",
    "docker:local:down": "docker compose -f docker-compose.local.yml down",
    "docker:local:logs": "docker compose -f docker-compose.local.yml logs -f"
  },
  "dependencies": {
    "@apollo/client": "^4.1.2",
    "@tailwindcss/vite": "^4.1.18",
    "cors": "^2.8.6",
    "express": "^5.2.1",
    "graphql": "^16.12.0",
    "react": "^19.2.0",
    "react-dom": "^19.2.0",
    "react-router-dom": "^7.13.0",
    "stream-chat": "^9.29.0",
    "stream-chat-react": "^13.13.4"
  },
  "devDependencies": {
    "@eslint/js": "^9.39.1",
    "@types/node": "^24.10.1",
    "@types/react": "^19.2.5",
    "@types/react-dom": "^19.2.3",
    "@vitejs/plugin-react": "^5.1.1",
    "autoprefixer": "^10.4.23",
    "eslint": "^9.39.1",
    "eslint-plugin-react-hooks": "^7.0.1",
    "eslint-plugin-react-refresh": "^0.4.24",
    "globals": "^16.5.0",
    "postcss": "^8.5.6",
    "tailwindcss": "^4.1.18",
    "typescript": "~5.9.3",
    "typescript-eslint": "^8.46.4",
    "vite": "^7.2.4"
  }
}
